<?php

function TionGetAuthToken($username, $password) {
  $params = array('grant_type' => 'password', 'username' => $username, 'password' => $password, 'client_id' => 'cd594955-f5ba-4c20-9583-5990bb29f4ef', 'client_secret' => 'syRxSrT77P');     
    
  $ch = curl_init();  
  curl_setopt($ch, CURLOPT_URL, 'https://api2.magicair.tion.ru/idsrv/oauth2/token');
  curl_setopt($ch, CURLOPT_HTTPHEADER, ["Content-Type: application/x-www-form-urlencoded"]);
  curl_setopt($ch, CURLOPT_RETURNTRANSFER, 1);  
  curl_setopt($ch, CURLOPT_POST, 1);  
  curl_setopt($ch, CURLOPT_POSTFIELDS, http_build_query($params));
    
  $output = curl_exec($ch); 
  curl_close($ch);      
 
  $output_arr = json_decode($output, true);   
  return $output_arr;
}

function TionGetData($token) {
  $ch = curl_init();  
  curl_setopt($ch, CURLOPT_URL, 'https://api2.magicair.tion.ru/location');
  curl_setopt($ch, CURLOPT_HTTPHEADER, ["Authorization: Bearer {$token}"]);
  curl_setopt($ch, CURLOPT_RETURNTRANSFER, 1);  
  
  $output = curl_exec($ch); 
  curl_close($ch);      
 
  $output_arr = json_decode($output, true);   
  return $output_arr[0];
}

function TionSetMode($token, $mode_type, $guid, $mode_json) {
  $ch = curl_init();  
  curl_setopt($ch, CURLOPT_URL, "https://api2.magicair.tion.ru/{$mode_type}/{$guid}/mode");
  curl_setopt($ch, CURLOPT_HTTPHEADER, ["Authorization: Bearer {$token}", "Content-Type: application/json"]);
  curl_setopt($ch, CURLOPT_RETURNTRANSFER, 1);  
  curl_setopt($ch, CURLOPT_POST, 1);  
  curl_setopt($ch, CURLOPT_POSTFIELDS, $mode_json);  
  
  $output = curl_exec($ch); 
  curl_close($ch);      
 
  $output_arr = json_decode($output, true);   
  return $output_arr;
}